#ifndef __TSTAT_LCD__
  #define __TSTAT_LCD__
  
  #include "FslTypes.h"
  #include "LH64_PE_Demo_Definitions.h"
  #include "Calendar.h"
  #include "Ascii.h"
 #include "LCD_GD5360P.h"
  
  
  #define _LCD_BLANK_SPACE_     0x3A
  
  
  #define _LCD_DEGREES_SYMBOL   0x3F
  
  /* Voltage leveles are in Volts * 100 */
  #define BATT_4_LEVEL_INDICATOR    2950
  #define BATT_3_LEVEL_INDICATOR    2600
  #define BATT_2_LEVEL_INDICATOR    2250
  #define BATT_1_LEVEL_INDICATOR    1900
  
  
  void vfnLCD_Init(void);
  void vfnDisplayDayOfWeek(UINT8 DayOfWeek);
  void vfnUpdateDayAndTime(RTC_Type* LocalRTC);
  void vfnDisplayBatteryLife(UINT16 BatteryLevel);
  void DisplayTemperature(UINT16 Temperature);  
  void vfnBlinkDayOfWeek(UINT8 DayOfWeek);
  void vfnDisplayBlinkEnable(void);
  void vfnDisplayBlinkDisable(void);
  void SetDayDateAndTime(unsigned char SET_TIME_FUNC);

#endif