#ifndef __ACCEL__
  #define __ACCEL__
  
  #include "FslTypes.h"
  #include "LH64_PE_Demo_Definitions.h"
  #include "Calendar.h"
  #include "Ascii.h"
  
  
  #define _LCD_BLANK_SPACE_     0x3A
  
  
  #define _LCD_DEGREES_SYMBOL   0x3F
  
  
/*
** ===================================================================
**     Method      :  Accel_Wakeup
**
**     Description :
**         The method drives the Sleep pin on the accelerometer inactive 
**         peripheral(s) and eventually invokes the bean's event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================     
*/
  void Accel_WakeUp(void);
/*
** ===================================================================
**     Method      :  Accel_GetX
**
**     Description :
**         The method drives the Sleep pin on the accelerometer inactive 
**         peripheral(s) and eventually invokes the bean's event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================     
*/
  unsigned int Accel_GetX(void);
/*
** ===================================================================
**     Method      :  Accel_GetY
**
**     Description :
**         The method drives the Sleep pin on the accelerometer inactive 
**         peripheral(s) and eventually invokes the bean's event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================     
*/
  unsigned int Accel_GetY(void);
/*
** ===================================================================
**     Method      :  Accel_GetZ
**
**     Description :
**         The method drives the Sleep pin on the accelerometer inactive 
**         peripheral(s) and eventually invokes the bean's event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================     
*/
  unsigned int Accel_GetZ(void);
/*
** ===================================================================
**     Method      :  Accel_Sleep
**
**     Description :
**         The method drives the Sleep pin on the accelerometer inactive 
**         peripheral(s) and eventually invokes the bean's event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================     
*/
  void Accel_Sleep(void);
/*
** ===================================================================
**     Method      :  Accel_WZeroG
**
**     Description :
**         The method drives the Sleep pin on the accelerometer inactive 
**         peripheral(s) and eventually invokes the bean's event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================     
*/
  void Accel_ZeroG(void); 

#endif